*{
    padding: 0;
    margin: 0;
}
body{
    position: relative;
}
.navbar {
    width: 100%;
    height: auto;
}

.navbar_top {
    width: 100%;
    min-height: 36px;
    height: auto;
    padding: 2px 0;
    background-color: rgb(239, 240, 240);
}

.navbar_top_box {
    width: 80%;
    min-height: 36px;
    height: auto;
    margin: 0 auto;
}

.navbar_top_box_left {
    display: flex;
    align-items: center;
    font-weight: 400;
    font-size: 9px;
    color: #000000;
    line-height: 36px;
    justify-content: center;
}

.navbar_top img {
    max-height: 10px;
    object-fit: contain;
}

.navbar_top_box_right {
    display: flex;
    align-items: center;
    font-weight: 400;
    font-size: 9px;
    justify-content: space-around
}

.navbar_box {
    width: 100%;
    height: 70px;
    min-height: 70px;
    background-color: rgb(5, 81, 54);
}

.navbar {
    color: #fff;
    display: flex;
    width: 80%;
    height: 100%;
    margin: 0 auto;
    align-items: center;
    justify-content: space-between;
}
.aa_box{
    width: 50px;
    height: 100%; 
}
.navbar ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
    display: flex;
}

.navbar li {
    width: 90%;
    margin: 0 auto;
    position: relative;
    text-align: left;
}

.navbar li {
    color: #777b91;
    text-decoration: none;  
}
.logo {
    height: 80%;  
}
.logo a{
    display: block;
    height: 100%;
}
.logo img {
    height: 100%;
}
.search-box {
    position: relative;
}

.search-box input {
    width: 200px;
    height: 30px;
    border: none;
    padding: 5px 10px;
    border-radius: 6px;
    background-color: #eff6f8;
}

.buttons {
    display: flex;
}

.buttons button {
    margin-left: 10px;
    padding: 5px 10px;
    border: none;
    cursor: pointer;
}

.login {
    color: #232c53;
    background-color: #fff;
}

.register {
    color: #fff;
    background-color: #232c53;
    border-radius: 10px;
}
 
.product_li img{
    max-height: 15px;
    object-fit: contain;
    position: absolute;
    right: 0;
}
.productpc_ul{
    display: none;
    display: block;
}
#product_ul{
    padding-left: 10px;
}
.navbarMenuli a{ 
    color: black; 
}
/* 添加响应式设计的样式 */
@media screen and (max-width: 768px) {
    .navbar {
        position: relative;
        padding: 10px 10px;
    }

    /* 在小屏幕上隐藏导航栏和搜索框等 */
    .navbar ul,
    .search-box,
    .buttons {
        display: none;
    }

    /* 显示汉堡式图标 */
    .navbar .menu-icon {
        display: block;
        position: relative;
        width: 30px;
        height: 20px;
        cursor: pointer;
    }

    .navbar .menu-icon span {
        display: block;
        position: absolute;
        height: 4px;
        width: 100%;
        background: white;
        border-radius: 4px;
        opacity: 1;
        left: 0;
        transform: rotate(0deg);
        transition: 0.25s ease-in-out;
    }

    .navbar .menu-icon span:nth-child(1) {
        top: 0px;
    }

    .navbar .menu-icon span:nth-child(2),
    .navbar .menu-icon span:nth-child(3) {
        top: 10px;
    }

    .navbar .menu-icon span:nth-child(4) {
        top: 20px;
    }

    /* 菜单展开时的样式 */
    .navbar.open .menu-icon span:nth-child(1) {
        top: 18px;
        width: 0%;
        left: 50%;
    }

    .navbar.open .menu-icon span:nth-child(2) {
        transform: rotate(45deg);
    }

    .navbar.open .menu-icon span:nth-child(3) {
        transform: rotate(-45deg);
    }

    .navbar.open .menu-icon span:nth-child(4) {
        top: 18px;
        width: 0%;
        left: 50%;
    }

    /* 展开菜单时的导航栏样式 */
    .navbar.open ul {
        display: flex;
        flex-direction: column;
    }

    .navbar.open .search-box,
    .navbar.open .buttons {
        display: block;
    }

    .search-box,
    .buttons {
        display: block;
    }

    #navbarMenu {
        width: 100%;
        flex-direction: column;
        gap: 10px;
        padding: 10px 0;
        background-color: #ffffff;
        border-radius: 10px;
        position: absolute;
        left: 0;
        top: 70px;
        text-align: center; 
        border: 1px solid #ccc;
        z-index: 999;
    }

    #navbarMenu li a {
        font-size: 14px;
    }
}

@media (min-width:768px) {
  
  
    .logo {
        height: 50%;  
    }
    .navbar_box{
        height: 90px;
        position: absolute;
        top: 0;
        z-index: 999;
        background-color: transparent;
    }
    .navbar_box:hover{    
        background-color: white;
    }
    .scrolled{
        background-color: white;
        position: fixed;
        top: 0;
        z-index: 9999;
    }
    .navbar_top_box{
        min-height: 30px;
        max-height: 30px;
        line-height: 30px;
    }
    .navbar_top_box {
        display: flex;
        justify-content: space-between;
    }

    .navbar_top_box_right_item {
        padding-left: 30px;
        display: flex;
        align-items: center;
    }
    .navbar_top{
        padding: 0;
        max-height: 30px;
        min-height: 30px;
        line-height: 30px;
    }
    .navbar_top img {
        max-height: 16px;
        object-fit: contain;
    }

    .navbar_top_box_left,
    .navbar_top_box_right_item {
        font-size: 14px;
    }

    .navbar { 
        height: 100%; 
    }

    #navbarMenu{
        width: 50%;  
        height: 100%; 
        min-width: 570px;
        display: flex;
        align-items: center;
    }
    .navbarMenuli{
        height: 50%;
        position: relative;
    }
    .navbarMenuli a{
        height: 100%;
        padding: 0 15px;
        display: flex;
        font-size: 17px;
        align-items: center;
    }
    .navbarMenuli::before {
        content: "";
        position: absolute;
        bottom: 10px;
        left: 0;
        height: 5px;
        background-color: rgb(19, 163, 80);
        width: 0;
        z-index: -1;
        transition: width 0.3s ease-in-out; /* 添加过渡效果，时间为 0.3 秒，缓动效果为 ease-in-out */
    }
    .navbarMenuli:hover::before {
        width: 100%; /* 鼠标悬停时，下划线展开到 100% 宽度 */
    }
    .navbarMenuli:hover >a{
        color: rgb(19, 163, 80);
    }
    .navbar li{
        text-align: center;
        width: auto;
        height: 100%;
    }
    .product_li{ 
        position: relative;
    }
    .product_li img{
        display: none;
    } 
    .productpc_ul{
        position: absolute;
        min-width: 100%;
        height: auto;
        top: 89px;
        z-index: 999;
        background-color: transparent;
        left: 0px;
        background-color: white;
    }
    .productpc_ul {
        transition: all 0.3s ease;
    }
    
    .productpc_ul li{
        width: 100%;
        text-align: left;
        min-height: 40px;
        line-height: 40px;
        white-space: nowrap;
        width: auto;
        min-width: 100%;
    }
    .productpc_ul li a{ 
        font-size: 16px;
    }
    .productpc_ul li:hover a{
        color: white;
        background-color: rgb(19, 163, 80);
    }
    .product_li:hover .productpc_ul{
        display: block;
    }
}